# This file created by conda-build 3.21.8
# ------------------------------------------------

package:
  name: libllvm11
  version: 11.1.0
source:
  patches:
    - patches/expect-fastmath-entrypoints-in-add-TLI-mappings.ll.patch
    - patches/intel-D47188-svml-VF.patch
    - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
    - patches/pass-through-qemu-ld-prefix.diff
    - patches/xfail-permission-test-on-linux.patch
  sha256: ce8508e318a01a63d4e8b3090ab2ded3c598a50258cc49e2625b9120d4c03ea5
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/llvm-11.1.0.src.tar.xz
build:
  activate_in_script: true
  ignore_run_exports:
    - zlib
  number: 1
  run_exports:
    - libllvm11 >=11.1.0,<11.2.0a0
  string: h3826bc1_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.2.1 h06a4308_0
    - ccache 3.7.9 hfe4627d_0
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuuid 1.0.3 h7f8727e_2
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - python 3.10.0 h12debd9_5
    - readline 8.1.2 h7f8727e_1
    - rhash 1.4.1 h3c74f83_1
    - sqlite 3.38.0 hc218d9a_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
    - zstd 1.5.0 ha4553b6_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - zlib 1.2.11 h7f8727e_4
  run:
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - zlib
test:
  commands:
    - test -f $PREFIX/lib/libLLVM-11${SHLIB_EXT}
about:
  dev_url: https://github.com/llvm-mirror/llvm
  home: http://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - SylvainCorlay
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
